
<div class="insuranceSearch toggle modify-search" ng-controller="insureController">
    <form id="searchForm" autocomplete="off" ng-submit="insurenceSearch('roundTrip',insureSearch.$valid)">
        <!-- <ul id="innerTab" class="flight-inline route-tabs">
            <li class="flight-type active">
                <a data-toggle="tab" data-target="#roundTrip">Round Trip</a>
            </li>
            <li class="flight-type">
                <a data-toggle="tab" ng-click="oneWayAndRoundTrip('1')" data-target="#roundTrip">One way</a>
            </li>
            <<li class="flight-type">
                <a data-toggle="tab" ng-click="initMultiCityTrip()" data-target="#multiCity">Multi-City</a>
            </li>
        </ul> -->
        <ul id="innerTab" class="flight-inline route-tabs">
            <li class="flight-type" id="round" style="margin-left: 14px;">
                <a type="button" ng-click="oneWayAndRoundTrip('2')" data-toggle="tab" style="text-decoration: none;" data-target="#roundTrip" >Round Trip</a>
            </li>
            <li class="flight-type" id="oneWay">
                <a type="button" ng-click="oneWayAndRoundTrip('1',true)" style="text-decoration: none;" data-toggle="tab" data-flightType="oneWay" data-target="#roundTrip"  >One way</a>
            </li>

        </ul>
        <!-- <button icon color="pink" class="refine-search-close"> -->
      <!-- <i class="fa fa-close refine-search-close refine-search"></i> -->
      <!-- <i class="fa fa-close refine-search-close refine-search close-tab"></i> -->
      <div>
        <button type="button" style="border: none; background-color: white;" class="refine-search-close v-btn v-btn--flat v-btn--icon v-btn--round theme--light v-size--default pink--text">
            <span class="v-btn__content"><i aria-hidden="true" class="fa fa-close" style="font-size: 16px;"></i></span>
          </button>
          </div>

    </button>
        <div class="tab-content">
            <div id="roundTrip" class="tab-pane fadein active boottabpane">
                <div class="container-fluid">
                    <div class="textleft row">
                        <div class="col-xs-12 col-sm-6 col-md-4 textleft">
                            <div class="form-group" ng-class="{'has-error' :insureSearch.from_place.$invalid && submitted}">
                                <span class=""><b>Flying from</b></span>
                                <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <input ng-model="insurenceSearchRQ.origin" type="text" id="from_place" required="" name="from_place" class="form-control ui-autocomplete-input valid" placeholder="Flying from" autofocus="" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');"/>

                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4 textleft flyingto" id="flyingto">
                            <div class="form-group" ng-class="{'has-error' :insureSearch.to_place.$invalid && submitted}">
                                <span class=""><b>Flying To</b></span>
                                <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                <input ng-model="insurenceSearchRQ.destination" id="to_place" name="to_place" type="text" required="" class="form-control ui-autocomplete-input valid" placeholder="Flying to" autofocus="" onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');"/>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4 textleft flyingto">
                            <!--id="flyingto" -->
                            <div class="form-group" ng-class="{'has-error' :insureSearch.daterange1.$invalid && submitted}">
                                <span class=""><b>When ?</b></span>
                                <!-- <span role="status" aria-live="polite"
                  class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                  type="date" required="" class="form-control ui-autocomplete-input valid"
                  ng-model="insurenceSearchRQ.onwardDateTime" placeholder="Flying to" autofocus="" />
                   -->
                                <span class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required">

                  </span><input required="" type="text" id="daterange1" name="daterange1" class="form-control date-picker" autocomplete="off" placeholder="Enter a date" date-range-picker ng-model="rr" options="flightop" />
                            </div>
                        </div>

                    </div>
                    <div class="textleft row">
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group" >
                                <span class=""><b>Adult</b></span>
                                <select class="form-control mb15" required="" ng-change="fAdultChange(insurenceSearchRQ.adultCount)"ng-model="insurenceSearchRQ.adultCount" >
                                     <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                    <option value="7">7</option>
                                    <option value="8">8</option>
                                    <option value="9">9</option> 
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class=""><b>Child</b></span>
                                <select class="form-control mb15" required="" ng-model="insurenceSearchRQ.childCount"
                                ng-options="infCnt for infCnt in fchildCount">
                                    <!-- <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
1
                                    <option value="4">4</option>
                                    <option value="5">5</option>
                                    <option value="6">6</option>
                                    <option value="7">7</option>
                                    <option value="8">8</option>
                                    <option value="9">9</option>  -->
                                    <!--                     <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option> -->
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class=""><b>Infant</b></span>
                                <select class="form-control mb15" required="" ng-model="insurenceSearchRQ.infantCount" ng-options="infCnt for infCnt in fInfantCount">
                                   
                                    
                                </select>
                            </div>
                        </div>
                        <!-- <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group datepickerleave">
                            
                                <span class=""><b>Company</b></span>
                                <select id="profileContactType"  name="profilecommunication" ng-change="selectBoxCheak(insurenceSearchRQ.customers);"class="form-control  mySelectBoxClass" ng-model="insurenceSearchRQ.customers">
                                    <option value="">Select</option>
                                    <option  value="{{customers.id}}" ng-repeat="customers in corporateCustomers">{{customers.name | uppercase}}</option>
                                </select>
                            </div> 
                        </div> -->
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group datepickerleave">
                                <span class=""><b>FOP</b></span>

                                <select id="profileContactType" name="profilecommunication"  ng-change="fopChange(insurenceSearchRQ.fop);" class="form-control  mySelectBoxClass" ng-model="insurenceSearchRQ.fopId">
                                    <option value="">Select</option>
                                    <option  value="{{fop.fopId}}" ng-repeat="fop in fopResponse">{{fop.fop | uppercase}}</option>
                                </select>
                            </div> 
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group datepickerleave">
                                <span class=""><b>Travel Type</b></span>

                                <select id="trveltype" name="trveltype"   required="" class="form-control ui-autocomplete-input valid" ng-model="insurenceSearchRQ.travelType">
                                    <option value="">Select</option>
                                    <option  value="{{travel.id}}" ng-repeat="travel in travelType">{{travel.categoryName | uppercase}}</option>
                                </select>
                            </div> 
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                            <div class="form-group">
                                <span class=""><b></b></span><br>
                                <div class="">
                                    <input style="height: 16px;width: 44px;" ng-model="hotelSearch.isPax" ng-click="selectingTrvlr($event,any);" id="checkedvalue"  name="checkedvalue"
                                         type="checkbox"  />Pax Profile
                                </div>
                            </div>
                        </div>
                        <!-- <div class="col-xs-12 col-sm-2 col-md-2 col-lg-2 textleft">
                        <div class="">
                            <input style="height: 16px;width: 44px;" ng-model="hotelSearch.isPax" ng-click="selectingTrvlr($event,any);" id="checkedvalue"  name="checkedvalue"
                                 type="checkbox"  />Pax Profile
                        </div>
                        </div> -->
                    </div>
                        <div class="row">
                       
                            
                            <div class="col-xs-12 col-sm-5 col-md-5 col-lg-3 textleft" style="padding-left: 5px;" ng-if="providerListvalue">
                                <span class=""><b></b></span><br>
                                <div class="form-group row providercss" style="margin-left: 11px; border: 1px solid #ced4da;">
                                   <span class="supplierCss"> <label><b class="">Selected Supplier :</b> </label></span>
                                <div ng-repeat="provider in providerList track by $index" style="margin-top: 1%;">
                                    <label style="color: black;    margin-left: 5px;"><input type="checkbox" id="providerCheck_{{$index}}" style="    height: 15px;
                                        width: 17px;"  ng-click="providerCheck(provider.id,$event);" >{{provider.id}}</label>
                              </div>
                              <h5  ng-show="providerList.length==0" style="color: red;">No Suppliers</h5>
                                </div>
                            </div>
                            <!-- <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12" >
                                <div class="form-group">
                                    <span class="size10"><b>Designation</b></span>
                                <input id="designation" class="form-control ui-autocomplete-input valid" placeholder="Designation" name="designation" required="" ng-model="insurenceSearchRQ.designation"
                                     type="text"  />
                            </div>
                            </div> -->
                        <div class="col-xs-12 col-sm-2 col-md-2 col-lg-3 text-left" style="margin-top: 7px;">
                            <button type="submit"  class="btn btn-lg custom-search-btn">
                                <!-- ng-click="insurenceSearch('roundTrip')" -->
                SEARCH
              </button>
                        </div>
                        </div>
                   
                </div>
            </div>
            <!-- <div id="multiCity" class="boottabpane tab-pane fadein">
                <div class="multicity-groups">
                    <div class="multicity-group" id="cloneTrip">
                        <div class="textleft row">
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying from</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="text" id="from_place" required="" name="from_place" class="form-control ui-autocomplete-input valid"
                                        placeholder="Flying from" autofocus="" />
                                </div>
                            </div>
                            <div class="col-md-4 textleft px-0">
                                <div class="form-group">
                                    <span class="size10"><b>Flying To</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="text" required="" class="form-control ui-autocomplete-input valid" placeholder="Flying to"
                                        autofocus="" />
                                </div>
                            </div>
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>When?</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="date" id="departure" required="" class="form-control ui-autocomplete-input valid"
                                        placeholder="Departure" autofocus="" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="multicity-group">
                        <div class="textleft row">
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying from</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="text" id="from_place" required="" name="from_place" class="form-control ui-autocomplete-input valid"
                                        placeholder="Flying from" autofocus="" />
                                </div>
                            </div>
                            <div class="col-md-4 textleft px-0">
                                <div class="form-group">
                                    <span class="size10"><b>Flying To</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="text" required="" class="form-control ui-autocomplete-input valid" placeholder="Flying to"
                                        autofocus="" />
                                </div>
                            </div>
                            <div class="col-md-4 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>When?</b></span>
                                    <span role="status" aria-live="polite" class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input type="date" id="departure" required="" class="form-control ui-autocomplete-input valid"
                                        placeholder="Departure" autofocus="" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="textleft row">
                    <div class="col-md-7 textleft pax-count-container">
                        <div class="form-group">
                            <span class="size10"><b>Adult</b></span>
                            <select class="form-control mb15">
                <option value="0">1</option>
                <option value="1">2</option>
                <option value="2">3</option>
                <option value="3">4</option>
                <option value="4">5</option>
                <option value="5">6</option>
                <option value="6">7</option>
                <option value="7">8</option>
                <option value="8">9</option>
              </select>
                        </div>
                        <div class="form-group">
                            <span class="size10"><b>Child</b></span>
                            <select class="form-control mb15">
                <option value="0">1</option>
                <option value="1">2</option>
                <option value="2">3</option>
                <option value="3">4</option>
                <option value="4">5</option>
                <option value="5">6</option>
                <option value="6">7</option>
                <option value="7">8</option>
                <option value="8">9</option>
              </select>
                        </div>
                        <div class="form-group">
                            <span class="size10"><b>Infant</b></span>
                            <select class="form-control mb15">
                <option value="0">1</option>
                <option value="1">2</option>
                <option value="2">3</option>
                <option value="3">4</option>
                <option value="4">5</option>
                <option value="5">6</option>
                <option value="6">7</option>
                <option value="7">8</option>
                <option value="8">9</option>
              </select>
                        </div>
                    </div>
                    <div class="col-md-5 textleft add-trip-btn-section">
                        <button type="button" class="btn btn-outline add-trip-btn" data-clone="#cloneTrip" data-append=".multicity-groups">Add Trip</button>
                        <button type="button" class="btn btn-outline remove-trip-btn" data-clone="#cloneTrip" data-append=".multicity-groups">Remove</button>
                    </div>
                </div>
                <div class="textleft row">
                    <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">
                        <button type="submit" class="btn btn-lg custom-search-btn" id="multicity_search">
              SEARCH
            </button>
                    </div>
                </div>
            </div>
        </div> -->
    </form>
    </div>


    <style>
        .supplierCss{
            margin-top: 7px;
    margin-left: 8px;
}
        
               .providercss{
        background-color: white;
    border-bottom-left-radius: 9px;
    border-bottom-right-radius: 9px;
    border-top-left-radius: 9px;
    border-top-right-radius: 9px;
}
        .modify-search .flight-inline .flight-type {
    padding: 0px 0px 0px 0px !important;
}
    .flight-type.active{
    background: #941b1c9e !important;
    border: 1px solid #d91718 !important;
    transform: scale(1.075);

    }

        .insuranceSearch {
            background: rgba(255, 255, 255, 1);
            padding: 15px 40px 10px;
            margin-bottom: 20px;
            position: relative;
            z-index: 1;
            display: none;
            border-radius: 5px;
            box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        }
        
        .form-control {
            color: black !important;
        }
        
        .custom-search-btn {
            background: linear-gradient(#d91718, #d91718) !important;
            border: 1px solid #d91718 !important;
            font-family: "Montserrat", sans-serif !important;
            font-size: 13px !important;
            font-weight: 700 !important;
            color: #fff !important;
            margin-top: 9px !important;
        }
   
        
        .btn:hover {
            color: black !important;
            /* background-color: red !important */
        }
        .close-tab {
        border-radius: 50%;
        padding: 7px;
        cursor: pointer;
        
    }
        .close-tab:hover {
        border-radius: 50%;
        background: #d917182e;
        padding: 7px;
        cursor: pointer;
    }
        .daterangepicker table {
            width: 100% !important;
            margin: 0 !important;
            font-size: 12px !important;
        }
        
        .btn-success {
            color: #fff !important;
            background-color: red !important;
            border-color: red !important;
        }
        
        -->.checkbox-label.home-cb {
            font-size: 13px;
            color: #fff;
            line-height: 16px;
            font-weight: 600;
            margin-bottom: 15px;
        }
        /*
  .checkbox-label
  .checkbox-custom
  {
  position:
  absolute;
  top:
  0px;
  left:
  0px;
  height:
  18px;
  width:
  18px;
  transform:
  scale(0.85);
  background-color:
  transparent;
  border-radius:
  4px;
  transition:
  all
  0.3s
  ease-out;
  -webkit-transition:
  all
  0.3s
  ease-out;
  -moz-transition:
  all
  0.3s
  ease-out;
  -ms-transition:
  all
  0.3s
  ease-out;
  -o-transition:
  all
  0.3s
  ease-out;
  border:
  2px
  solid
  white;
  }
  */
        
        .remove-trip-btn:hover {
            background-color: #2195c3 !important;
        }
        
        .add-trip-btn:hover {
            background-color: #2195c3 !important;
        }
        
        .daterangepicker.dropdown-menu {
            max-width: 493px !important;
            z-index: 3000 !important;
        }
        
        .daterangepicker.dropdown-menu.single {
            max-width: fit-content !important;
        }
        .theme--light.v-btn.v-btn--icon {
  color: rgb(217 23 24)!important;
}
button:focus {
  outline: none;
}
    </style>

    <script>
        $(document).ready(function() {
            $('[data-toggle="tooltip"]').tooltip();
            var owl = $('.owl-carousel');
            owl.owlCarousel({
                items: 4,
                margin: 15,

                center: true,
                nav: false,
                loop: true,
                pagination: false,
                navigation: true,
                autoplay: true,
                autoplayTimeout: 2000,
                autoplayHoverPause: true,

            });
            $(".owl-item", ".owl-carousel").hover(function() {
                let parent = $(this).closest('.owl-carousel');
                $(".owl-item", parent).removeClass('owl-active').addClass('grayscale-item');
                $(this).removeClass('grayscale-item').addClass('owl-active');
            })
            $('.owl-carousel').mouseleave(function() {
                $(".owl-item", ".owl-carousel").removeClass('owl-active').removeClass('grayscale-item');
            });

            $(window).scroll(function() {
                let scrollTop = $(document).scrollTop();
                if (scrollTop >= 1200) {
                    $('.services_offered_owl').trigger('stop.owl.autoplay')
                } else {
                    $('.services_offered_owl').trigger('play.owl.autoplay', [2000])
                }

            });



            $('.dropdown').hover(function(event) {
                event.preventDefault();
                var dropdown = $(this).closest(".dropdown");
                $(dropdown).toggleClass("open");
            });

            // $('[data-toggle="tab"]').click(function() {

            //     let _href = $(this).attr("data-flightType");
            //     if (_href === "oneWay") {
            //         $('.flyingto').slideUp()
            //     } else {
            //         $('.flyingto').slideDown()
            //     }
            // })

            $("[data-search-widget]").click(function() {
                $("[data-search-widget]").removeClass('active');
                $(this).addClass('active');

            });

        });
    </script>
    